| Home | Libraries | People | FAQ | More

## Function right

boost::proto::right — Return the right child of the specified binary Proto expression.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename Expr>
      typename proto::result_of::right< Expr & >::type right(Expr & expr);
    template<typename Expr>
      typename proto::result_of::right< Expr const & >::type
      right(Expr const & expr);

## Description

Return the right child of the specified binary Proto expression. The child is returned by reference.

Parameters:

`expr` | The Proto expression.

Requires: | `proto::is_expr<Expr>::value` is `true`. `2 == Expr::proto_arity::value`
Returns: | A reference to the right child of `expr`.
Throws: | Will not throw.